Subject: Re: bug#57957: 29.0.50; Native compilation hangs on cyclic lists

From: Andrea Corallo <[email-masked]>
Date: Thu, 22 Sep 2022 16:07:37 +0000

Gerd Möllmann <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Andrea Corallo <[email-masked]> writes:
>>
>>> I see nor cl-nsubst-if nor cl-subst-if are robust against cyclic lists.
>>> Is this a bug in cl-lib or is it expected?  In case I'll add an ad-hoc
>>> substitute for this use (if there's no other alternative).
>>
>> I'm not sure -- Stefan probably knows; added to the CCs.
>
>>>From Common Lisp I can say that these functions expect a "tree",
> i.e. not a circular list.

Okay I tried an adhoc substitute but this is not the only place in the
compiler not robust against cyclic lists, so more work will be needed.

  Andrea